classification
Title: distutils.util.strtobool documented behaviour
Type: Stage: resolved
Components: Distutils, Documentation Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Graham.Oliver, docs@python, dstufft, eric.araujo, iritkatriel
Priority: normal Keywords:

Created on 2020-08-26 00:48 by Graham.Oliver, last changed 2021-06-23 00:43 by iritkatriel. This issue is now closed.

Messages (2)
msg375902 - (view) Author: Graham Oliver (Graham.Oliver) Date: 2020-08-26 00:48
Here is the text 

https://docs.python.org/3.6/distutils/apiref.html#distutils.util.strtobool

Convert a string representation of truth to true (1) or false (0).

True values are y, yes, t, true, on and 1; false values are n, no, f, false, off and 0. Raises ValueError if val is anything else.

I wondered what would happen with 'FALSE' i.e. upper case. It appears to behave the same way as 'false'. In fact case does not seem to be an issue, so 'FaLsE' will return 0 as well.

So a note that this function is independent of case may be helpful
msg396372 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-06-22 22:39
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-06-23 00:43:03iritkatrielsetstatus: open -> closed
resolution: out of date
stage: resolved
2021-06-22 22:39:05iritkatrielsetnosy: + iritkatriel
messages: + msg396372
components: + Distutils
2020-08-26 04:07:36xtreaksetnosy: + eric.araujo, dstufft
2020-08-26 00:48:02Graham.Olivercreate